Esta página aún no está disponible en español. Estamos trabajando en su traducción.
Si tienes alguna pregunta o comentario sobre nuestro actual proyecto de traducción, no dudes en ponerte en contacto con nosotros.

Cloud Authentication

Configure AWS cloud authentication mappings for persona and intake authentication through the Datadog API.

Note: This endpoint is in public beta and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/cloud_auth/aws/persona_mappinghttps://api.ap2.datadoghq.com/api/v2/cloud_auth/aws/persona_mappinghttps://api.datadoghq.eu/api/v2/cloud_auth/aws/persona_mappinghttps://api.ddog-gov.com/api/v2/cloud_auth/aws/persona_mappinghttps://api.datadoghq.com/api/v2/cloud_auth/aws/persona_mappinghttps://api.us3.datadoghq.com/api/v2/cloud_auth/aws/persona_mappinghttps://api.us5.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping

Información general

List all AWS cloud authentication persona mappings. This endpoint retrieves all configured persona mappings that associate AWS IAM principals with Datadog users.

Respuesta

OK

Response containing a list of AWS cloud authentication persona mappings

Expand All

Campo

Tipo

Descripción

data [required]

[object]

List of AWS cloud authentication persona mappings

attributes [required]

object

Attributes for AWS cloud authentication persona mapping response

account_identifier [required]

string

Datadog account identifier (email or handle) mapped to the AWS principal

account_uuid [required]

string

Datadog account UUID

arn_pattern [required]

string

AWS IAM ARN pattern to match for authentication

id [required]

string

Unique identifier for the persona mapping

type [required]

enum

Type identifier for AWS cloud authentication persona mapping Allowed enum values: aws_cloud_auth_config

{
  "data": [
    {
      "attributes": {
        "account_identifier": "test@test.com",
        "account_uuid": "12bbdc5c-5966-47e0-8733-285f9e44bcf4",
        "arn_pattern": "arn:aws:iam::123456789012:user/testuser"
      },
      "id": "c5c758c6-18c2-4484-ae3f-46b84128404a",
      "type": "aws_cloud_auth_config"
    }
  ]
}

Bad Request

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Forbidden

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  # Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"

Note: This endpoint is in public beta and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id}https://api.ap2.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id}https://api.datadoghq.eu/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id}https://api.ddog-gov.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id}https://api.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id}https://api.us3.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id}https://api.us5.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id}

Información general

Get a specific AWS cloud authentication persona mapping by ID. This endpoint retrieves a single configured persona mapping that associates an AWS IAM principal with a Datadog user.

Argumentos

Parámetros de ruta

Nombre

Tipo

Descripción

persona_mapping_id [required]

string

The ID of the persona mapping

Respuesta

OK

Response containing a single AWS cloud authentication persona mapping

Expand All

Campo

Tipo

Descripción

data [required]

object

Data for AWS cloud authentication persona mapping response

attributes [required]

object

Attributes for AWS cloud authentication persona mapping response

account_identifier [required]

string

Datadog account identifier (email or handle) mapped to the AWS principal

account_uuid [required]

string

Datadog account UUID

arn_pattern [required]

string

AWS IAM ARN pattern to match for authentication

id [required]

string

Unique identifier for the persona mapping

type [required]

enum

Type identifier for AWS cloud authentication persona mapping Allowed enum values: aws_cloud_auth_config

{
  "data": {
    "attributes": {
      "account_identifier": "test@test.com",
      "account_uuid": "12bbdc5c-5966-47e0-8733-285f9e44bcf4",
      "arn_pattern": "arn:aws:iam::123456789012:user/testuser"
    },
    "id": "c5c758c6-18c2-4484-ae3f-46b84128404a",
    "type": "aws_cloud_auth_config"
  }
}

Forbidden

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not Found

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  # Path parameters
export persona_mapping_id="c5c758c6-18c2-4484-ae3f-46b84128404a"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/${persona_mapping_id}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"

Note: This endpoint is in public beta and is subject to change. If you have any feedback, contact Datadog support.

POST https://api.ap1.datadoghq.com/api/v2/cloud_auth/aws/persona_mappinghttps://api.ap2.datadoghq.com/api/v2/cloud_auth/aws/persona_mappinghttps://api.datadoghq.eu/api/v2/cloud_auth/aws/persona_mappinghttps://api.ddog-gov.com/api/v2/cloud_auth/aws/persona_mappinghttps://api.datadoghq.com/api/v2/cloud_auth/aws/persona_mappinghttps://api.us3.datadoghq.com/api/v2/cloud_auth/aws/persona_mappinghttps://api.us5.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping

Información general

Create an AWS cloud authentication persona mapping. This endpoint associates an AWS IAM principal with a Datadog user.

Solicitud

Body Data (required)

Expand All

Campo

Tipo

Descripción

data [required]

object

Data for creating an AWS cloud authentication persona mapping

attributes [required]

object

Attributes for creating an AWS cloud authentication persona mapping

account_identifier [required]

string

Datadog account identifier (email or handle) mapped to the AWS principal

arn_pattern [required]

string

AWS IAM ARN pattern to match for authentication

type [required]

enum

Type identifier for AWS cloud authentication persona mapping Allowed enum values: aws_cloud_auth_config

{
  "data": {
    "attributes": {
      "account_identifier": "test@test.com",
      "arn_pattern": "arn:aws:iam::123456789012:user/testuser"
    },
    "type": "aws_cloud_auth_config"
  }
}

Respuesta

Created

Response containing a single AWS cloud authentication persona mapping

Expand All

Campo

Tipo

Descripción

data [required]

object

Data for AWS cloud authentication persona mapping response

attributes [required]

object

Attributes for AWS cloud authentication persona mapping response

account_identifier [required]

string

Datadog account identifier (email or handle) mapped to the AWS principal

account_uuid [required]

string

Datadog account UUID

arn_pattern [required]

string

AWS IAM ARN pattern to match for authentication

id [required]

string

Unique identifier for the persona mapping

type [required]

enum

Type identifier for AWS cloud authentication persona mapping Allowed enum values: aws_cloud_auth_config

{
  "data": {
    "attributes": {
      "account_identifier": "test@test.com",
      "account_uuid": "12bbdc5c-5966-47e0-8733-285f9e44bcf4",
      "arn_pattern": "arn:aws:iam::123456789012:user/testuser"
    },
    "id": "c5c758c6-18c2-4484-ae3f-46b84128404a",
    "type": "aws_cloud_auth_config"
  }
}

Bad Request

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Forbidden

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Conflict

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  # Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "account_identifier": "test@test.com", "arn_pattern": "arn:aws:iam::123456789012:user/testuser" }, "type": "aws_cloud_auth_config" } } EOF

Note: This endpoint is in public beta and is subject to change. If you have any feedback, contact Datadog support.

DELETE https://api.ap1.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id}https://api.ap2.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id}https://api.datadoghq.eu/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id}https://api.ddog-gov.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id}https://api.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id}https://api.us3.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id}https://api.us5.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id}

Información general

Delete an AWS cloud authentication persona mapping by ID. This removes the association between an AWS IAM principal and a Datadog user.

Argumentos

Parámetros de ruta

Nombre

Tipo

Descripción

persona_mapping_id [required]

string

The ID of the persona mapping

Respuesta

No Content

Forbidden

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not Found

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  # Path parameters
export persona_mapping_id="c5c758c6-18c2-4484-ae3f-46b84128404a"
# Curl command
curl -X DELETE "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/${persona_mapping_id}" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"